const API_URL = "https://api.thecatapi.com/v1";
const API_KEY = "live_8bnMZatSzkOR7eyT6o0iwDmXQuTxPI3deVWy0KY2ABxDkTMJdTYZ13S9lVFmrZRO";

/**
 * Fetches a list of cat images with optional pagination.
 * @param {number} limit - Number of images to fetch.
 * @param {number} page - Page number for pagination.
 * @returns {Promise<Array>} - A promise that resolves to an array of cat images.
 */
export const fetchCats = async (limit = 10, page = 1) => {
  try {
    const response = await fetch(`${API_URL}/images/search?limit=${limit}&page=${page}`, {
      headers: {
        "x-api-key": API_KEY,
      },
    });

    if (!response.ok) {
      throw new Error(`Failed to fetch cats: ${response.statusText}`);
    }

    return response.json();
  } catch (error) {
    console.error("Error fetching cats:", error);
    throw error;
  }
};

/**
 * Fetches a list of cat breeds.
 * @returns {Promise<Array>} - A promise that resolves to an array of cat breeds.
 */
export const fetchBreeds = async () => {
  try {
    const response = await fetch(`${API_URL}/breeds`, {
      headers: {
        "x-api-key": API_KEY,
      },
    });

    if (!response.ok) {
      throw new Error(`Failed to fetch breeds: ${response.statusText}`);
    }

    return response.json();
  } catch (error) {
    console.error("Error fetching breeds:", error);
    throw error;
  }
};
